DEFINE CLASS wwStreamTests as FxuTestCase OF FxuTestCase.prg

*** SETUP AND CONFIGURATION *** 

************************************************************************
*  Setup
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION Setup()

	*** Make sure libraries are loaded
	DO wconnect
ENDFUNC
*   Setup

************************************************************************
*  TearDown
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION TearDown()

ENDFUNC
*   TearDown


************************************************************************
*  WriteLargeString
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION wwFileStreamTest()

loFS = CREATEOBJECT("wwFileStream")

loFS.Write("Hello ")
loFs.WriteLine("Rick")

*** Large File
loFS.WriteFile("C:\installs\Distribution CD\Demos\wconnect.exe")


lnSize = loFs.nLength
lcText = loFs.ToString()
lcFile = loFs.cFilename

THIS.MessageOut("Size: " + TRANSFORM(loFs.nLength))
this.AssertTrue( lnSize = LEN(lcText) )

loFs.Clear()
this.AssertTrue( loFs.nLength = 0 )

loFS.Dispose()

this.AssertTrue( !FILE(lcFile) )

ENDFUNC
*   wwFileStream

************************************************************************
*  LargeStringOperations
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION LargeStringOperations()


*** Create a 20 meg string - this works
lcText = ""
FOR lnX = 1 TO 200000   && 20,000 ops
   lcText = lcText + "0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789"   && 100 chars
ENDFOR

this.MessageOut("Size: " + TRANSFORM(LEN(lcText)))

lcNewString = SUBSTR(lcText,1,10000)
THIS.MessageOut("Size: " + TRANSFORM(LEN(lcNewString)))  && 10,000


ENDFUNC
*   LargeStringOperations


ENDDEFINE
