DEFINE CLASS wwJsonSerializerTests as FxuTestCase OF FxuTestCase.prg

#IF .F.
   LOCAL THIS as wwJsonSerializerTests
#ENDIF

*** SETUP AND CONFIGURATION *** 

************************************************************************
*  Setup
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION Setup()
	*** Make sure libraries are loaded
	DO wwJsonSerializer
ENDFUNC
*   Setup

************************************************************************
*  TearDown
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION TearDown()

ENDFUNC
*   TearDown


************************************************************************
*  CursorLegacyTest
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION CursorLegacyTest()


SELECT * FROM samples\wwdemo\customers ;
	WHERE COMPANY = "W" ;
    INTO CURSOR TQuery ;    
    ORDER BY company

LOCAL loSer as wwJsonSerializer
loSer = CREATEOBJECT("wwJsonSerializer")

loSer.FormattedOutput  = .T.
lcJson = loSer.Serialize("cursor_legacy:TQuery")


THIS.MessageOut(lcJson)
this.AssertTrue( ATC(["Rows":],lcJson) > 0,"Missing Rows property in JSON output")

ENDFUNC
*   CursorLegacyTest


ENDDEFINE
